# ActionListener class Null safety

## Constructors

ActionListener(BuildContext context, AppModel app)

## Properties

app → AppModel
  final
context → BuildContext
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
onClicked(String event) → void
toString() → String
  A string representation of this object. [...]
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited